Fulfillment & ShippingFulfillment
Create fulfillment shipment
Creates a carrier shipment from explicit item, package and connection selections, then stores the provider response.
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/fulfillment/orders/7204558912004325350/shipment" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "itemSelection": "all", "packageSelection": "automatic", "connectionSelection": "orderDefault", "shippingConnectionId": "7204558912004329148", "serviceCode": "POL-001", "packageId": "7204558912004325646", "weight": 0.3, "weightUnit": "kilogram" }'{ "id": "7204558912004327602", "fulfillmentOrderId": "7204558912004329296", "orderId": "7204558912004325350", "originKind": "manual", "shippingConnectionId": "7204558912004329148", "orderNumber": "ORD-2026-0001", "shipmentId": "7204558912004327602", "trackingNumber": "PE1234567890", "trackingLink": "https://tracking.example.com/PE1234567890", "labelUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "carrierName": "Courier Lima"}